/*********************************************************************

 Author        : ADI - Apps            www.analog.com/MicroConverter

 Date          : Sept. 2005

 File          : Ccode.c

 Hardware      : Applicable to ADuC702x rev H or I silicon
                 Currently targetting ADuC7026.

 Description   : This example demonstrate how to call subroutine written
 				 in assembly. In the main is a loop with a call to a 
				 blink routine, written in assembly, with a value for
				 a delay.
				 Ccode is compiled in THUMB by default.
				 Assemb.s is written and assembled in ARM.
		
*********************************************************************/
#include<ADuC7026.h>

extern void Blink(unsigned long);				
extern void Blink_Setup();

int main (void)  
{
	Blink_Setup(); 				//	Setup P4.2 as an output
	while(1){					// 	Infinite loop
		Blink(0x20000);			// 	Call Blink, with a delay of 0x20000
	}
	return(0);
}
